System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Discovery.DiscoveryReference System.Xml.Serialization.XmlRoot("discoveryRef", Namespace="http://schemas.xmlsoap.org/disco/", IsNullable=true)

XML Web services discovery involves discovering the available XML Web services given an URL. The URL typically points to a discovery document, which usually has a.disco file name extension. The discovery document contains references to information about the existance of XML Web services, such as Service Descriptions, XML Schema Definition language (XSD) schemas, or other discovery documents. This class represents a reference to a discovery document.

Represents a reference to a discovery document. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class, setting the property to the value of .

  Reference to a discovery document. The property is set to the value of .
  1.0.5000.0
  2.0.0.0
- Property
  System.String a To be added

  Gets the name of the default file to use when saving the referenced discovery document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.Web.Services.Discovery.DiscoveryDocument To be added: an object of type 'DiscoveryDocument'

  If the discovery document has not been downloaded and added to the property of , an attempt to download and resolve the document is made.

  Gets the contents of the referenced discovery document as a object.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Object `` To be added

  Reads and returns the discovery document from the passed .

  A containing the contents of the referenced discovery document.

  containing the discovery document. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  For most references, the property is a URL, such as http://www.contoso.com/MyWebService.disco.

  Gets or sets the reference to a discovery document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("ref")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  If the MIME type is text/xml and the content of is a discovery document, then the contents of are added to the and properties of .

  Before invoking the method, the property must be set to a valid instance of .

  Resolves whether the referenced document is valid.

  The MIME type of . The containing the referenced document.
- Method
  System.Void

  Unless you specifically need to resolve the individual references of a object, you should invoke the or methods of .

  This method resolves all references to discovery documents, XSD schemas, and Service Descriptions in the property of and any references found in referring discovery documents.

  Verifies that all referenced documents within the discovery document are valid.

  1.0.5000.0
  2.0.0.0
- Property
  System.String a

  Returns the value of the property.

  Gets or sets the URL of the referenced discovery document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Void `` `` To be added

  Writes the passed into the passed .

  The to write into . The into which the serialized discovery document is written. 1.0.5000.0 2.0.0.0